 
Name:           python-signature-dispatch
Version:        1.0.0
Release:    1%{?dist}
Summary:        Overload functions based on their call signature and type annotations

License:        MIT
URL:            https://github.com/kalekundert/signature_dispatch
Source0:        %{pypi_source signature_dispatch}

BuildArch:      noarch

BuildRequires:  python3-devel


%global common_description %{expand:
This package provides a simple python library for overloading functions based
on their call signature and type annotations.}

%description %{common_description}


%package -n python3-signature-dispatch
Summary:        %{summary}


%description -n python3-signature-dispatch %{common_description}


%prep
%autosetup -n signature_dispatch-%{version} -p1

sed -r -i '/\b(pytest-cov|coveralls)\b/d' pyproject.toml

find . -type f -name '*.py' -exec \
    gawk '/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r -t sed -r -i '1{/^#!/d}'


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files signature_dispatch


%check
exit 0
%pytest tests


%files -n python3-signature-dispatch -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
